import { MicroEditorBase } from "../../../Views/editor/MicroEditorBase.js";
interface IListItem {
    name: string;
    value: any;
}
export declare class ListEditorBase extends MicroEditorBase {
    protected get items(): Array<IListItem>;
    protected get listId(): string;
}
export declare class ListEditor extends ListEditorBase {
    get selectNode(): JQuery;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    focus(): void;
}
export {};
